Skip to content

Attach/Detach Whitelisted IP

PUT
/api/v1/rds/cluster/{Cluster_id}/update-allowed-hosts
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/{Cluster_id}/update-allowed-hosts?action=<ACTION>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"allowed_hosts": [
{
"ip": "192.168.1.9",
"tag": [
2349
]
}
]
}'
Cluster_id
required
integer

Cluster Id

action
required
string
Allowed values: attach detach

Actions to manage whitelisted IPs

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
allowed_hosts
Array<object>
object
ip
string
tag
Array<integer>

Example

{
"allowed_hosts": [
{
"ip": "192.168.1.9",
"tag": [
2349
]
}
]
}

Whitelisted IPs Updated Successfully

Media typeapplication/json
object
code
integer
data
object
key
additional properties
any
errors
object
key
additional properties
any
message
string

Example

{
"code": 200,
"data": {},
"errors": {},
"message": "Whitelisted IPs Updated Successfully"
}